# SignStream

基于 Vue 3 + Vite 的现代化签名流应用

## 技术栈

- Vue 3 - 渐进式 JavaScript 框架
- Vite - 下一代前端构建工具
- Pinia - Vue 的状态管理库
- Vue Router - Vue.js 官方路由
- Vant - 轻量、可靠的移动端 Vue 组件库
- Varlet UI - 基于 Vue3 的 Material 风格移动端组件库
- UnoCSS - 即时原子化 CSS 引擎
- Axios - 基于 Promise 的 HTTP 客户端
- Day.js - 轻量级日期处理库
- Lodash - 实用工具库

## 开发环境要求

- Node.js >= 16
- pnpm >= 8

## 安装

```bash
# 安装依赖
pnpm install
```

## 开发命令

```bash
# 测试环境开发
pnpm test

# 生产环境开发
pnpm prod

# 测试环境构建
pnpm build-test

# 生产环境构建
pnpm build-prod

# 预览构建结果
pnpm preview
```

## 项目结构

```
src/
├── apis/        # API 接口定义
├── assets/      # 静态资源
├── components/  # 公共组件
├── request/     # 请求封装
├── router/      # 路由配置
├── stores/      # Pinia 状态管理
├── utils/       # 工具函数
└── views/       # 页面视图
```

## 环境配置

项目支持多环境配置：
- `.env.test` - 测试环境配置
- `.env.prod` - 生产环境配置

## 特性

- 🚀 基于 Vite 的快速开发体验
- 📱 移动端优先的响应式设计
- 🎨 使用 UnoCSS 实现原子化 CSS
- 📦 自动导入组件和 API
- 🔄 支持多环境部署
- 🛠 完善的开发工具链
